const express = require('express');
const router = express.Router();
const controller = require('../controllers/userController');
const auth = require('../middlewares/auth');

router.get('/',auth.auth,controller.getUserInformations);

router.post('/login',controller.login);

router.post('/signup', controller.signup);

router.get('/logout',auth.auth,controller.logout);


module.exports = router;